Subject: Re: [Outreachy PATCH v3 2/2] gpg-interface: use string_list_split*() instead of strbuf_split*()

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Oct 2025 08:18:05 -0700

Bello Olamide <[email-masked]> writes:

> I am just asking to know if something like this
> should be done within the respective functions or I will need
> to write functions for each and just call here.

Unlike [1/2] that asked for the second string, this one just wants
to discard everything after the first LF, so I am not sure if you
need any new helper or hand-rolled loop.  Wouldn't strchr() and
xmemdupz() that were used in my response to [1/2] sufficient for the
purpose of this step, too?